- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# QAbstractTransition Class Reference

Search for all occurrences

## Detailed Description

Definition at line 67 of file qabstracttransition.h.

`#include <qabstracttransition.h>`

Inheritance diagram for QAbstractTransition:
[legend]

List of all members.

## Public Member Functions
| QAbstractTransition (QState *sourceState=0)
virtual | ~QAbstractTransition ()
QState * | sourceState () const
QAbstractState * | targetState () const
void | setTargetState (QAbstractState *target)
QList< QAbstractState * > | targetStates () const
void | setTargetStates (const QList< QAbstractState * > &targets)
QStateMachine * | machine () const
void | addAnimation (QAbstractAnimation *animation)
void | removeAnimation (QAbstractAnimation *animation)
QList< QAbstractAnimation * > | animations () const
## Protected Member Functions
virtual bool | eventTest (QEvent *event)=0
virtual void | onTransition (QEvent *event)=0
bool | event (QEvent *e)
| QAbstractTransition (QAbstractTransitionPrivate &dd, QState *parent)
## Properties
QState | sourceState
QAbstractState | targetState
QList< QAbstractState * > | targetStates

## Constructor & Destructor Documentation

QAbstractTransition | ( | QState * | sourceState = `0` | ) |

virtual ~QAbstractTransition | ( |  | ) | `[virtual]`

QAbstractTransition | ( | QAbstractTransitionPrivate & | dd,
|  | QState * | parent
| ) |  | `[protected]`

## Member Function Documentation

QState* sourceState | ( |  | ) | const

Search for all occurrences

QAbstractState* targetState | ( |  | ) | const

Search for all occurrences

void setTargetState | ( | QAbstractState * | target | ) |

Search for all occurrences

QList<QAbstractState*> targetStates | ( |  | ) | const

Search for all occurrences

void setTargetStates | ( | const QList< QAbstractState * > & | targets | ) |

Search for all occurrences

QStateMachine* machine | ( |  | ) | const

Search for all occurrences

void addAnimation | ( | QAbstractAnimation * | animation | ) |

Search for all occurrences

void removeAnimation | ( | QAbstractAnimation * | animation | ) |

Search for all occurrences

QList<QAbstractAnimation*> animations | ( |  | ) | const

Search for all occurrences

virtual bool eventTest | ( | QEvent * | event | ) | `[protected, pure virtual]`

Search for all occurrences

Implemented in QEventTransition, QSignalTransition, QKeyEventTransition, and QMouseEventTransition.

virtual void onTransition | ( | QEvent * | event | ) | `[protected, pure virtual]`

Search for all occurrences

Implemented in QEventTransition, QSignalTransition, QKeyEventTransition, and QMouseEventTransition.

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

Reimplemented in QEventTransition, and QSignalTransition.

## Property Documentation

QState sourceState `[read]`

Search for all occurrences

Definition at line 70 of file qabstracttransition.h.

QAbstractState targetState `[read, write]`

Search for all occurrences

Definition at line 71 of file qabstracttransition.h.

QList<QAbstractState*> targetStates `[read, write]`

Search for all occurrences

Definition at line 72 of file qabstracttransition.h.

The documentation for this class was generated from the following file:

- QtCore/qabstracttransition.h

QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition
QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition QAbstractTransition